#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <time.h>

// Package name prefix
#define PKG_NAME_(x)            int_##x
#define PKG_NAME_STRING         "int_"
#define PKG_MAPKEY_T          int
#define PKG_MAPVAL_T          char *
#include "ctmpl/avltree.h"
#include "ctmpl/avltree.c"

int cmp(int a, int b){
	int ret = a-b;
	return ret;
}

void check(int_avtnode avtn)
{
	int hl, hr; 
	int result;
	if(!avtn)
		return;

	check(avtn_left(avtn));
	hl = avtn_left(avtn)? avtn_height(avtn_left(avtn)): -1;
	hr = avtn_right(avtn)? avtn_height(avtn_right(avtn)): -1;
	result = hl - hr;
	if(result >= 2  || result <= -2)
		printf("ERROR At %d(%d), %d:%s@%p parent:%p left:%p right:%p \n",
		avtn_height(avtn), result,
		avtn_key(avtn), avtn_value(avtn), avtn, avtn_parent(avtn),
		avtn_left(avtn), avtn_right(avtn));
	check(avtn_right(avtn));
}

void printnode(int_avtnode avtn)
{
	static int height = 0;
	int i;	
	
	for(i = 0; i < height; i++)
		printf("  ");
	if(avtn_parent(avtn) == NULL)
		printf("R");
	else if(avtn_left(avtn_parent(avtn)) == avtn)
		printf("l");
	else 
		printf("r");

	printf(" %d %s(%d)@%p parent:%p left:%p right:%p \n",
		avtn_height(avtn),
		avtn_value(avtn), avtn_key(avtn), avtn, avtn_parent(avtn),
		avtn_left(avtn), avtn_right(avtn));
	++height;
	if(avtn_left(avtn))
		printnode(avtn_left(avtn));
	if(avtn_right(avtn))
		printnode(avtn_right(avtn));
	--height;
}

int main(int argc, char **argv)
{
	int arg;
	int_avt ilp;
	iterator(int_avt)  itr; 
	time_t t;

	if(argc != 2){
		fprintf(stderr, "Usage: %s entrys\n", *argv); 
		exit(1);
	}
	arg = atoi(argv[1]);

	
	srand(time(&t));

	ilp = int_avt_new(cmp);

	while(1){
		iterator_insert_pair(ilp, rand(), "hoge");
		if(avt_count(ilp) == arg)
			break;
	}

        printf("===check(%d entry/seed: %lu/height: %d)================\n", 
		avt_count(ilp), t, avtn_height(avt_root(ilp)));

	itr = iterator_first(ilp);
	while(!iterator_is_end(itr)){
		if((rand() % 7) == 0)
			itr = iterator_erase(itr);
		else
			itr = iterator_next(itr);
	}
	check(avt_root(ilp));
	while(!iterator_is_end(itr)){
		if((rand() % 4) == 0)
			itr = iterator_erase(itr);
		else
			itr = iterator_next(itr);
	}
	check(avt_root(ilp));

	while(avt_root(ilp))
		iterator_erase(iterator_first(ilp));
	check(avt_root(ilp));
	
	aggregator_delete(ilp);
	return 0;
}
