/*
 *			ndtpcache.c
 * $Id: ndtpcache.c,v 1.2 2004/01/06 03:36:11 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*  	this file is generated by ctmplgen        */
#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#ifdef HAVE_UNISTD_H
#include  <unistd.h>
#endif /* HAVE_UNISTD_H */

	/* ndtpcache.c:  template for map */
	/* map performed by hashtable */
#if       !defined(NDTPCACHE_USE_LIST)  && \
	  !defined(NDTPCACHE_USE_HASH)  && \
	  !defined(NDTPCACHE_USE_BINTREE) && \
	  !defined(NDTPCACHE_USE_AVLTREE)
	/* default implementation */
#define NDTPCACHE_USE_HASH
#endif /* !defined(NDTPCACHE_USE_LIST)  && 
	  !defined(NDTPCACHE_USE_HASH)  && 
	  !defined(NDTPCACHE_USE_BINTREE) && 
	  !defined(NDTPCACHE_USE_AVLTREE) */

#define PKG_NAME_(x)	    	ndtpcache_impl_##x
#define PKG_NAME_STRING	 	"ndtpcache_impl"
#define PKG_MAPKEY_T          	const char *
#define PKG_MAPVAL_T          	struct cacheent *
#define PKG_USE_STATIC

#if   defined(NDTPCACHE_USE_HASH)
#   include <ctmpl/hashtable.h>
#   include <ctmpl/hashtable.c>
typedef PKG_NAME_(ht) 			ndtpcache;
typedef PKG_NAME_(ht_iterator) 		ndtpcache_iterator;
typedef PKG_NAME_(ht_iterator_data) 	ndtpcache_iterator_data;
#define ndtpcache_new(x, y, z, a, b)         \
        ndtpcache_impl_ht_new_by(x, y, z, a, b)

	/* map performed by sorted list */
#elif defined(NDTPCACHE_USE_LIST)
#   include <ctmpl/slist_map.h>
#   include <ctmpl/slist_map.c>
typedef PKG_NAME_(slm) 			ndtpcache;
typedef PKG_NAME_(slm_iterator) 	ndtpcache_iterator;
typedef PKG_NAME_(slm_iterator_data) 	ndtpcache_iterator_data;
#define ndtpcache_new(x, y, z, a, b)         \
        ndtpcache_impl_slm_new_by(z, a, b)

	/* map performed by binary tree */
#elif defined(NDTPCACHE_USE_BINTREE)
#   include <ctmpl/bintree.h>
#   include <ctmpl/bintree.c>
typedef PKG_NAME_(bt) 			ndtpcache;
typedef PKG_NAME_(bt_iterator) 		ndtpcache_iterator;
typedef PKG_NAME_(bt_iterator_data) 	ndtpcache_iterator_data;
#define ndtpcache_new(x, y, z, a, b)         \
        ndtpcache_impl_bt_new_by(z, a, b)

	/* map performed by AVL binary tree */
#elif defined(NDTPCACHE_USE_AVLTREE)
#   include <ctmpl/avltree.h>
#   include <ctmpl/avltree.c>
typedef PKG_NAME_(avt) 			ndtpcache;
typedef PKG_NAME_(avt_iterator) 	ndtpcache_iterator;
typedef PKG_NAME_(avt_iterator_data) 	ndtpcache_iterator_data;
#define ndtpcache_new(x, y, z, a, b)         \
        ndtpcache_impl_avt_new_by(z, a, b)
#else
# error "not-supported implementation"
#endif /* defined(NDTPCACHE_USE_XXXX) */

#undef PKG_NAME_
#undef PKG_NAME_STRING
#undef PKG_MAPKEY_T
#undef PKG_MAPVAL_T
#undef PKG_USE_STATIC

