/*
 *			property.h
 * $Id: property.h,v 1.2 2004/01/06 03:36:11 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_PROPERTY_H_
#define _XP_PROPERTY_H_

#define PRTY_TYPE_INTEGER	0
#define PRTY_TYPE_STRING	1
struct property {
	int prty_type;	/* property type: 
			 PRTY_TYPE_INTEGER, PRTY_TYPE_STRING */
	const char *prty_name; /* property name */
	void (*prty_free)(struct property *);
};

#define prty_integer_val(x)	(((struct property_integer *)(x))->prty_value)
#define prty_string_val(x)	(((struct property_string *)(x))->prty_value)

struct property_integer {
	struct property _parent;
	int 	prty_value;	/* value */
};

struct property_string {
	struct property _parent;
	const char *prty_value;	/* value */
};

void property_init(void);	/* initialize property database */
void property_fin(void);	/* finalize property database */
void property_dump(void);	/* dump for debug */
struct property *property_put(struct property *);
struct property *property_get(const char *name);
#define property_free(x)	((x)->prty_free)(x)

struct property *
property_integer_alloc(const char *name, int);
struct property *
property_string_alloc(const char *name, const char *);


#endif /* _XP_PROPERTY_H_ */
