/*
 *                      xpaction.h
 * $Id: xpaction.h,v 1.2 2004/01/23 02:45:27 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_ACTION_H_
#define _XP_ACTION_H_

/* actions for clickable */
struct xp_caction {
	xaction_t enter;
	xaction_t leave;
	xaction_t bpress;
	xaction_t brelease;
};

/* actions for quit/next/prev/up buttons */
extern struct xp_caction iconacts[4];
#define XPACT_UP		0
#define XPACT_NEXT		1
#define XPACT_PREV		2
#define XPACT_QUIT		3


/* actions for an entry pointer */
extern struct xp_caction eptract;

/* clickable word */
extern struct xp_caction wordact;

/* clickable entry number on a list view */
extern struct xp_caction enumact;

/* clickable entry title on a list view */
extern struct xp_caction etitleact;

/* start searching when status bar is clicked */
extern xaction_t status_clicked;

/* key action for xpopdic page */
void 
xppage_keyaction(struct xactor *dst, xpoint dstpos, xsignal sig, 
          	 struct xsigarg *siginfo, void *actarg, 
	  	 struct xobject *list, xwindow *xwp);


#endif /* _XP_ACTION_H_ */
