.TH "xpopdic" "1" "24 Jan 2004" "xpopdic" "" 
.PP 
.SH "NAME" 
xpopdic \- X Popup Dictionary
.PP 
.SH "SYNOPSIS" 
.PP 
\fBxpopdic\fP [ -options ...]
.PP 
.SH "DESCRIPTION" 
.PP 
 Xpopdic is a NDTP(Network Dictionary Transfer Protocol) client 
running on X Window System. As a basic action, xpopdic polls 
"cutbuffer 0" and "selection PRIMARY" every constant interval and 
creates a popup window showing the translation corresponding to the word 
indicated by either of them. 
 
.PP 
.SH "OPTIONS" 
.PP 
.IP "\fB-v\fP"
show version\&.
.IP "\fB-d\fP"
enable debug-mode\&.
.IP "\fB-m\fP"
enable commandline test-mode\&.
.IP "\fB-p\fP"
enable title\&.
.IP "\fB-q\fP"
disable sub information like number of entries and dictionary names.\&.
.IP "\fB-z\fP"
enable shadow\&.
.IP "\fB-c\fP"
do not use NDTP cache.\&.
.IP "\fB-l\fP"
do not show list page for entries.\&.
.IP "\fB-D arg\fP"
comma-separated dictionary list. Each dictionary is indicated by index number or dictionary name. If "all" is used to indicate dictionary name, this means all dictionaries in the server.  ex1) -D all@ndtpserver ex2) -D 1@serverA,readers/readers@serverB\&.
.IP "\fB-C arg\fP"
Cache Directory\&.
.IP "\fB-i arg\fP"
Interval to check buffers.\&.
.IP "\fB-x arg\fP"
x position to fix\&.
.IP "\fB-y arg\fP"
y position to fix\&.
.IP "\fB-w arg\fP"
window width\&.
.IP "\fB-h arg\fP"
window height\&.
.IP "\fB-b arg\fP"
window border width\&.
.IP "\fB-O arg\fP"
Body Side Margin\&.
.IP "\fB-M arg\fP"
Body Top/Bottom Margin\&.
.IP "\fB-j arg\fP"
Body Border width\&.
.IP "\fB-B arg\fP"
Background Color\&.
.IP "\fB-C arg\fP"
Border Color\&.
.IP "\fB-K arg\fP"
Body Background Color\&.
.IP "\fB-J arg\fP"
Body Border Color\&.
.IP "\fB-t arg\fP"
Title Font\&.
.IP "\fB-n arg\fP"
Dictionary Name Font\&.
.IP "\fB-s arg\fP"
Status Font\&.
.IP "\fB-f arg\fP"
Body Font\&.
.IP "\fB-k arg\fP"
Body Font(Wide characters)\&.
.IP "\fB-T arg\fP"
Title Color\&.
.IP "\fB-N arg\fP"
Dictionary Name Color\&.
.IP "\fB-S arg\fP"
Status Font Color\&.
.IP "\fB-F arg\fP"
Body Foreground Color\&.
.IP "\fB-L arg\fP"
Clicked Font Color\&.
.IP "\fB-G arg\fP"
Gaiji Font Color\&.
.IP "\fB-P arg\fP"
Entry Pointer Color\&.
.IP 
.PP 
.SH "KEY BINDING" 
.PP 
.IP "\fBu:\fP"
go to upper page\&.
.IP "\fBn:\fP"
go to next page\&.
.IP "\fBp:\fP"
go to previous page\&.
.IP "\fB[1-9]:\fP"
go to [1-9]th page\&.
.IP "\fB^C-[1-9]:\fP"
go to [10-19]th page\&.
.IP "\fBReturn:\fP"
search mode\&.
.IP "\fBj:\fP"
1-line scroll down\&.
.IP "\fBk:\fP"
1-line scroll up\&.
.IP "\fBSpace:\fP"
page down\&.
.IP "\fBShift-Space:\fP"
page up\&.
.IP "\fBq:\fP"
close window\&.
.IP "\fBQ:\fP"
close window and quit xpopdic\&.
.IP "\fB^C-c:\fP"
close window and quit xpopdic\&.

.SH "KEY BINDING(Search)" 
.IP "\fB^C-b:\fP"
move the cursor to a left character\&.
.IP "\fB^C-f:\fP"
move the cursor to a right character\&.
.IP "\fB^C-a:\fP"
move the cursor to the top of a string\&.
.IP "\fB^C-e:\fP"
move the cursor to the end of a string\&.
.IP "\fB^C-d:\fP"
delete a character on current cursor position\&.
.IP "\fB^C-k:\fP"
delete characters between current cursor and end\&.
.IP "\fB^C-u:\fP"
delete characters between current cursor and top\&.
.IP "\fBLeft:\fP"
same as '^C-b'\&.
.IP "\fBRight:\fP"
same as '^C-f'\&.
.IP "\fBDelete:\fP"
same as '^C-d'\&.
.IP "\fBBackspace:\fP"
delete a character right of current cursor position\&.

.PP 
.SH "X RESOURCE NAMES" 
.PP 
.IP "\fBXPopDic*NoTitle:                (Boolean)\fP" Title\&.
.IP "\fBXPopdic*NoSubInfo:              (Boolean)\fP" Sub Information\&.
.IP "\fBXPopdic*Shadow:                 (Boolean)\fP" Shodow\&.
.IP "\fBXPopdic*NDTPCache:              (Boolean)\fP" NDTP Cache\&.
.IP "\fBXPopdic*ListView:               (Boolean)\fP" Entriy Listing \&.
.IP "\fBXPopdic*AlwaysOpen:             (Boolean)\fP" Always dictionaries open\&.
.IP "\fBXPopdic*Browsable:              (Boolean)\fP" Browsable Word \&.
.IP "\fBXPopdic*Dictionary:             (String)\fP"  Dictionary list\&.
.IP "\fBXPopdic*NDTPCacheDir:           (String)\fP"  NDTP Cache directory\&.
.IP "\fBXPopdic*Interval:               (Integer)\fP" polling interval\&.
.IP "\fBXPopdic*X:                      (Integer)\fP" fixed x position\&.
.IP "\fBXPopdic*Y:                      (Integer)\fP" fixed y position\&.
.IP "\fBXPopdic*Width:                  (Integer)\fP" width\&.
.IP "\fBXPopdic*Height:                 (Integer)\fP" height\&.
.IP "\fBXPopdic*BDWidth:                (Integer)\fP" border width of window\&.
.IP "\fBXPopdic*BodySideMargin:         (Integer)\fP" side margin \&.
.IP "\fBXPopdic*BodyTopBottomMargin:    (Integer)\fP" top and bottom margin\&.
.IP "\fBXPopdic*BodyBDWidth:            (Integer)\fP" border width of body\&.
.IP "\fBXPopdic*TitleFont:              (Font)\fP"    Font for Title\&.
.IP "\fBXPopdic*DictNameFont:           (Font)\fP"    Font for Dictionary name\&.
.IP "\fBXPopdic*StatusFont:             (Font)\fP"    Font for status\&.
.IP "\fBXPopdic*BodyFont:               (Font)\fP"    Font for Body\&.
.IP "\fBXPopdic*BodyWideFont::          (Font)\fP"    Font for Body(Wide characters)\&.
.IP "\fBXPopdic*BackgroundColor:        (Color)\fP"   Background Color\&.
.IP "\fBXPopdic*BorderColor:            (Color)\fP"   Color of border line\&.
.IP "\fBXPopdic*BodyBackgroundColor:    (Color)\fP"   Background Color for Body\&.
.IP "\fBXPopdic*BodyBorderColor:        (Color)\fP"   Color of border line for Body\&.
.IP "\fBXPopdic*TitleColor:             (Color)\fP"   Color for Title Font\&.
.IP "\fBXPopdic*DictNameColor:          (Color)\fP"   Color for Dictionary name\&.
.IP "\fBXPopdic*StatusColor:            (Color)\fP"   Color for status information\&.
.IP "\fBXPopdic*BodyFGColor:            (Color)\fP"   Color for Body Font\&.
.IP "\fBXPopdic*ClickColor:             (Color)\fP"   Color for clicked Body Font \&.
.IP "\fBXPopdic*GaijiColor:             (Color)\fP"   Color for Gaiji fonts\&.
.IP "\fBXPopdic*PointerColor:           (Color)\fP"   Color for Entry pointers\&.
.IP 
.PP 
.SH "ENVIRONMENT" 
.PP
The \fBDISPLAY\fP environment variable is used to decide a taget display
where xpopdic runs. 

.PP 
.SH "SEE ALSO" 
.PP 
\fBX(1)\fP
.IP "\fBXPopDic Homepage\fP"
http://www\&.sfc\&.wide\&.ad\&.jp/~hiddy/software/xpopdic
.IP "\fBNDTPD(NDTP Daemon)Homepage\fP"
http://www\&.sra\&.co\&.jp/people/m-kasahr/ndtpd
.PP 
.SH "AUTHOR" 
.PP 
Hideaki Imaizumi <hiddy@sfc\&.wide\&.ad\&.jp>
