/*
 *                      xppage.h
 * $Id: xppage.h,v 1.4 2004/01/22 12:49:28 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_PAGE_H_
#define _XP_PAGE_H_

/* 
 *	structure of xppage 
 *
 *   xppage
 *	|
 *   xproxy
 *	|
 *    xframe 
 *	|
 *   xcmpstpair
 *	|
 *	+---  xwp_search	<- default disabled but upper layar.
 *	|
 *	+---  xwp_main		<- xptoppage, xplist, or xptrans
 */
#define XOBJTYPE_XPPAGE		(XOBJTYPE_USER|XOBJTYPE_COMPOSER|0x1)

struct xppage {
	struct xcomposer xp_base;

	/* internal object */
	xobject 	 *xp_obj;	

	/* toplevel object */
	xobject 	 *xp_main;

	/* search object */
	xobject 	 *xp_search;

	/* page dependent information */
	xobject		 *xp_dep;
};

struct xobject *
xppage_new(xobject *main, xobject *search, xobject *dep);

#endif /* _XP_PAGE_H_ */
